Subject: Re: [PATCH 3/3] C/R: Basic support for network namespaces and devices (v2)

From: Dan Smith <danms-r/[email-masked]>
Date: Sat, 23 Jan 2010 07:19:29 -0800

DM> This is gross.  You can't do things this way.

Okay, fair enough.

DM> This misdesign is also why you find a need to get at the RTNL link
DM> ops too.  You have no infrastructure for doing what you need to do
DM> generically, so instead you are forced to directly call into
DM> drivers and export RTNL internals needlessly.

Stepping back, RTNL itself seems like the proper generic interface.
Would you agree?  At first, it seemed overkill to pack the information
into message buffers just to have the rest of RTNL unpack them, which
is why I mis-did what I did.  I think you've make it clear that that
overhead is worth the reuse.  Would that be more palatable?

Thanks!

-- 
Dan Smith
IBM Linux Technology Center
email: danms-r/[email-masked]